Pterodactyldocs
Admin A P I

Bulk delete node allocations

Deletes multiple unassigned allocations from a node by allocation ID.

DELETE/api/admin/nodes/{node_id}/allocations
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

node_id*integer

The node ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/admin/nodes/1/allocations" \  -H "Content-Type: application/json" \  -d '{}'
Empty